Name:                 powertop
Version:              2.9
Release:              11
Summary:              Power consumption tool for Linux
License:              GPLv2
URL:                  http://01.org/powertop/
Source0:              http://01.org/sites/default/files/downloads/powertop/%{name}-v%{version}.tar.gz
Source1:              powertop.service

Patch0:               powertop-2.7-always-create-params.patch
Patch1:               powertop-2.9-cstates-rewrite-fix.patch
Patch2:               powertop-2.9-intel-glk-support.patch
Patch3:               powertop-2.9-intel-cnluy-support.patch
Patch4:               powertop-2.9-intel-cpu-check-aperf.patch

BuildRequires:        gcc gcc-c++ git systemd
BuildRequires:        gettext-devel ncurses-devel pciutils-devel zlib-devel libnl3-devel
Requires(post):       coreutils
%{?systemd_requires}
Provides:             bundled(kernel-event-lib)

%description
Powertop is a Linux tool to diagnose issues with power consumption and
power management.In addition to being a diagnostic tool, powertop also
has an interactive mode where the user can experiment various power
management settings for cases where the Linux distribution has not enabled these settings.

%package_help

%prep
%autosetup -n %{name}-v%{version} -p1 -Sgit

%build
%configure
%make_build

%install
%make_install

install -Dd $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}
touch $RPM_BUILD_ROOT%{_localstatedir}/cache/%{name}/{saved_parameters.powertop,saved_results.powertop}
%find_lang %{name}

install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/powertop.service

%pre

%preun
%systemd_preun %{SOURCE1}

%postun
%systemd_postun_with_restart %{SOURCE1}

%post
%systemd_post %{SOURCE1}

touch %{_localstatedir}/cache/powertop/{saved_parameters.powertop,saved_results.powertop} &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README TODO
%{_sbindir}/powertop
%{_unitdir}/powertop.service
%dir %{_localstatedir}/cache/powertop
%ghost %{_localstatedir}/cache/powertop/saved_parameters.powertop
%ghost %{_localstatedir}/cache/powertop/saved_results.powertop

%files help
%{_mandir}/man8/powertop.8*


%changelog
* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 2.9-11
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix spec rule in openeuler

* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.9-10
- Package init
